apiVersion: apps/v1
kind: Deployment
metadata:
    # < name of the deploymentand reference
    name: nextcloud
    # < namespace where to place the deployment and pods
    namespace: home-stuff
    labels:
        # < label for tagging and reference
        app: nextcloud
spec:
    #ENC[AES256_GCM,data:PjHgYIl6fld/ZvIiwyVwPP5od0N97KpYH0zY,iv:NQ+sSRi1+8DcYVcq9uAM0empRCD7BJaWeXQOCF8JgKE=,tag:yak9nAL9tpQbWBMwXUnAEg==,type:comment]
    replicas: ENC[AES256_GCM,data:ww==,iv:L5XZ1xnqykCv4L2nsjfEQDJ5fEI486JBNNn51Km3RIM=,tag:Wdg361L3eq/CmqA8IdTzMA==,type:int]
    selector:
        matchLabels:
            app: ENC[AES256_GCM,data:QpTih6o9rAiI,iv:RPGv4Dz6oobdcrcGW1B99E1t2EWuC06mswf3XlOlyag=,tag:+l/IekYhnVFQ39m0JulxFQ==,type:str]
    strategy:
        rollingUpdate:
            #ENC[AES256_GCM,data:siaBiiU7TCu0Dsh2ukV6Sk5V2xTr23OXdTzZyNxddoyj/VLMA+k0MWbIvWPwSEsO6cqD501nqcYxbGdEiZ0vhLCQIybhywAZoYs3XvLJXrr1k55bI8LMMyp+WQ==,iv:7XWX0cC3fO/LFx95igrXplDLnxrGCN+H4tHwzEdaqCI=,tag:kG/1WACRkR49Yu7WCc5TNg==,type:comment]
            maxSurge: ENC[AES256_GCM,data:CQ==,iv:zbGKAramsCvkNhL43fzMB+DzLMTTgk2c8tVdHHMcDrw=,tag:eqbou+u3D+RRgHEGntKntw==,type:int]
            #ENC[AES256_GCM,data:SLtjaYyxw7SomCgkqlE9PiKw8xdNW1+N4PxiYbCTPV3LDFUpQ2Jpy3L1UeWtVelPGB2prEbMNeaUewQmVGOg0zT+DVB08Bc=,iv:gkjmiJaUQkB4Q+WuHxiOfdVW8F3IKnC02njXtGU/7I8=,tag:9HIuJhWcN1GC1h2B+AEAgA==,type:comment]
            maxUnavailable: ENC[AES256_GCM,data:aQ==,iv:2XnCCPvPLH4p1BDuANwFUAYVPrITTMEkQ+9B889j/t0=,tag:7TAjB28cDVk0F2y3bR703A==,type:int]
        #ENC[AES256_GCM,data:UT9rcV7cKYsu2YwyyKz6Yto5cCbDiKTbwO/gE18vi6vDn0pIaDlAQpplOhauOcP8JqMqJ70Oz8NtEVZo/QSdJARq4RcD7g==,iv:bD/+oDCJjxWRterC18dxyD670i7ap0Y9x0q6Cjph4s0=,tag:pX3JjC411bIyYdv9gGJ68g==,type:comment]
        type: RollingUpdate
    template:
        metadata:
            labels:
                app: nextcloud
        spec:
            volumes:
                - ENC[AES256_GCM,data:Fyy20Y6c2CFrMKGLUrVI0mDW1tAq6XSzJOKsFaECKgsjWhaHPQ==,iv:t2eMMU6jvO3YgyhhEp5qSIwEdPe61K6E+JV/lMfIQNw=,tag:tS8BQqCgxKLzm6YxS9jwVw==,type:comment]
                - name: ENC[AES256_GCM,data:glckEtoApbsGg62WbCw=,iv:LVPf+hEup/P47qOIhc55sNOvPQDaIGsMV/GCqSP/6zo=,tag:+DSNB9FKdWXE1RZIccuVWA==,type:str]
                  persistentVolumeClaim:
                    #ENC[AES256_GCM,data:gs+jxAQrcMqvQzUtHeJHohVoZuoQlPZ/lSgKye4ao9HpBQ5EuhZCHkj0Tg==,iv:6HeHkG4lqESf6fQ9QDfjkH/zPx3rqE0FRDceEAlr3SY=,tag:3g3DWD9OJ0kAfErvVb947w==,type:comment]
                    claimName: ENC[AES256_GCM,data:0YXf81AaQivyHXNbDPHrOEAa,iv:VGkrCtqTCzBc8cIkcOeIx5Lw67Cm5qidJHZOYij1YJ0=,tag:hSkt9xvWjQPfJpBvjTMb2w==,type:str]
                - name: ENC[AES256_GCM,data:tfgvElmnz1+QLKpCqg==,iv:M/j05L/5Ama8d07vqnzN2aZfbKUg3wp0a+EVkEypYJk=,tag:lwGyjL5RndovjAVp4xLRzw==,type:str]
                  secret:
                    #ENC[AES256_GCM,data:GgsBeKQB6i6GxNoRlh/neO+3TF1Vp2xJ4Uts7OW5yCPjbkq8ZTqyO/A=,iv:X7u+C66UqawLUS34J50g2S8ExvBluxEFCoPUnXySsfU=,tag:UGJVHIGYU12hm6dYzAVsKw==,type:comment]
                    secretName: ENC[AES256_GCM,data:A1Ntgypcsw11IxR5f7YEggmJ,iv:Oy1bw7F4uIDYqnqVi7MWQOnHwQ+IRXq2ubCSfkw3CDU=,tag:Eg4TWwK1gxUr5uU/RDCJcQ==,type:str]
            containers:
                - ENC[AES256_GCM,data:bKr+s6GgQKFc7ZZn+YISNVifAulVum6NPfTLeINVnNU4oIzwaOQrMgs3Sw==,iv:HC2xkJdNvipV7hy8LghnB9n1zUn/Bde/rX1bGJl7Gzg=,tag:UPkNr4kRfkewOkvZjXdh4Q==,type:comment]
                - image: ENC[AES256_GCM,data:z1o0zdOIHgw+nsT6IBdiBmIW89/P3gxrklCXApKqjcNaRyWIRQyvJSSC,iv:ufBKeN2+z0UMb2C1xRFDNagFCFiu6pbuUtqnjftR5oE=,tag:+OFny7XMA0MphJH5pTKoww==,type:str]
                  #ENC[AES256_GCM,data:k4ZCbNFg53bre4/ajpNVIX9Jx80=,iv:FKcUOLt5wP7+OzTQBLe2WHUHo8gD2cHHo5UqfHokbn4=,tag:tXg3MZW26f3c2KbSnd4FKA==,type:comment]
                  name: ENC[AES256_GCM,data:aOasJvf6yLW3,iv:UVbLQhlczhLLGfZTwW/N5cEGMgm/oY98jUQWkvpqhrg=,tag:t4Xbp03b48S+LshoEhaaPQ==,type:str]
                  #ENC[AES256_GCM,data:+/Id+SQNdstGH7JsxwHvLV+kHbrPr5qQCHBauzAIgRZKe10W2V6P5kYhbAGb9yT93lS7kbgTa6Sh8A==,iv:owM+ISGHBVbtZz48iXmhRiughuhVHd1zngwRbsWYCu8=,tag:5EkpfGPuXZtE2uw8URgaaQ==,type:comment]
                  imagePullPolicy: ENC[AES256_GCM,data:kNgsuZEFDI3hJKVk,iv:BXLLOjWsmRMMA8ZPe+1My0lhA+aFqmhe3E4s/FmkRr0=,tag:sJ+LBLDJ4CF0c1a28J4yow==,type:str]
                  #ENC[AES256_GCM,data:MIs4GZjYsU+SP3bvhMLPokteWQyGmMwwDNwnyIQbHoFxKNu48Fx4KpN9oI+GYSknwRQFAsEYsBR6saDD0Eb+3ZktPEAG86MzBo85HA==,iv:V+0w8le50Tn70EccDJYkzEmIUu/IRYAKaoUmzMFcvA0=,tag:ujuf58TrFJIeOzyJVOlEpA==,type:comment]
                  env:
                    - name: ENC[AES256_GCM,data:kXkSOg==,iv:f9peXFafvj3NEe5FRG9qnt/cNwICg/RdncH9TEyOmFI=,tag:rruj+pVav3jzfEjpI8Q9Vw==,type:str]
                      #ENC[AES256_GCM,data:SSMbKHNvqE03QPjz547R,iv:1Pu7LOBPFnC0L1+oc2JT7HAAc2YhHaLCrpeR74j66+Y=,tag:FWTMt7uqvvu/Lc4Rzt4rhA==,type:comment]
                      value: ENC[AES256_GCM,data:1K5TSg==,iv:SNjbPHl4USd3sMoEMpydLHD+LDIMiOcBc5dVOG6hmYI=,tag:+0CQC4KmElsKAjmVAVeehw==,type:str]
                    - name: ENC[AES256_GCM,data:lWkPXQ==,iv:Cu7vf07di/64CnhjEr7YaWWxFx+vPbaX3emghdd2Ock=,tag:KyPkKQ28aQkQ4Y5UP4Mc5Q==,type:str]
                      #ENC[AES256_GCM,data:HC3KyPlQcjQ+Njyg35k6YA==,iv:Oq+JXGcj+Zbt/By8C1e94M1gi8hgkjo5OApsmC7/VEk=,tag:Sjoj/fMyJqOpyKWfDHFKog==,type:comment]
                      value: ENC[AES256_GCM,data:VXKm+A==,iv:ZCSJnckKgBzGbLEm5Qr5mUO914w+K/G3UAbhPfqWD/I=,tag:IXrTS4TOZv09xpSjjS7UWw==,type:str]
                    - name: ENC[AES256_GCM,data:xOc=,iv:bsZU/0f+k+lgnn+n7c1WbEUv1K336RSIwUNMFfKfdfE=,tag:+wN108co8g/vHVIGjKgeyg==,type:str]
                      value: ENC[AES256_GCM,data:lMQTDWCKTR3i1dFJZxTIPg==,iv:GA712IgB/afaydWeHPuVxTh7mmiPytFdw2RX6MRuApQ=,tag:3E/4kVbgeoxljEVPYsGYWg==,type:str]
                    - name: ENC[AES256_GCM,data:jL6WfnkQ4vZ/bsGGSvB+oeWTerdjwzU8rQ==,iv:nuX8Y9XpGwsEbS2YTRuXzQIogQEjKIJ74uBelA39ytM=,tag:Jq77W4mzy223zYvHtUoOvg==,type:str]
                      value: ENC[AES256_GCM,data:Lo5eL8AhyYC2y4YpnrvHhdupn04SxXrb3EBWlnj83wKT0CM=,iv:SEG58RigiX6GEMmEgMGPfIFxvMeLgEoPy7tmsMeBkG0=,tag:7LIwhfkyYItlepF9G7IPCw==,type:str]
                    - name: ENC[AES256_GCM,data:BgTS2IvahSK2Por90/csPA==,iv:pXRmv+kq2LcfwOQKHKE+iWYA7wCa/530X87QWojy1tI=,tag:hBIIjGRhz5RzT6sPf8GxlQ==,type:str]
                      value: ENC[AES256_GCM,data:Zw==,iv:z72+I+9+6jzukgT8UVLBEY8UHUVk8ap/yuy0KKVL224=,tag:zg93/vHNw35AUZjlw0fGIA==,type:str]
                    - name: ENC[AES256_GCM,data:xw9OQ4TnnhDyAPU=,iv:aSg+H+hHNUU1OmNkEMfosz8nOy/Kvab0mMLoI79VYGU=,tag:5qpddk7T4aOAtUZfnrFb5Q==,type:str]
                      valueFrom:
                        secretKeyRef:
                            name: ENC[AES256_GCM,data:tTf9gi4PQUFwQKvPrUyLlXw=,iv:hjKZWCUsi7nmZwH+KFsLWvLbHNykCVXUtnpHrqKUDn0=,tag:bhwo3lebVj5TA0NhuEL/eg==,type:str]
                            key: ENC[AES256_GCM,data:jxXoQXzDhQMrRv8=,iv:fPHQXfTYA2qMvkzAhUH52ugKYxQSuYRnWQzMROIJOu8=,tag:BSQCuVyLZWqJAnjb2Htvxg==,type:str]
                    - name: ENC[AES256_GCM,data:uXr28cc7Gyba371D3Q==,iv:8olKI7dQTLbn0nypk598Un8mO8fhT7gGT1vTuJYMnOs=,tag:oSW0/BPdIrceoGXe40lbow==,type:str]
                      valueFrom:
                        secretKeyRef:
                            name: ENC[AES256_GCM,data:uI0rJeCoQRBCVDZLTgfXph8=,iv:KCRJogzNOb1maIGxfd6y2BV88+f7vXmCNRiyAVeoX7c=,tag:IzsB6EnLIemAoRBYg0/v8Q==,type:str]
                            key: ENC[AES256_GCM,data:ue/nwVKHzzYwn2Mn1g==,iv:1a25pgK3R6tc0GXv13yxkep+H0uZqqFVteCR/3TOQg4=,tag:3+ICGzs7LbUi0kHUy7b95w==,type:str]
                    - name: ENC[AES256_GCM,data:artCkDHXIA9RzFW5mg==,iv:N7ZTpwFgDxGtjNij8bDw4RPFRyNT08D02NFxwN3kREY=,tag:zhmJBNBsuEf2KDv4Ztf2ig==,type:str]
                      valueFrom:
                        secretKeyRef:
                            name: ENC[AES256_GCM,data:+2NOFFFEFmjE6R8dt4XXzCo=,iv:grUGAt0hgOJQXZD4+AUWh2p3caz2kc5AJ0rcTZhx2Xw=,tag:Cl4ndsJtFZ1TDNqK681uqg==,type:str]
                            key: ENC[AES256_GCM,data:KM6K4Ix5oPdJpqQOLQ==,iv:XqwUXefF+kU0Atl+A4QRF4vXibfbdvIMzI/pAay0FQY=,tag:OkjEEem35b5486QuoCvYeQ==,type:str]
                    - name: ENC[AES256_GCM,data:oKRVySosDj4xYHFA5tkl4Xg=,iv:i3ATTxtRrdnuTFoGxEo50uMIGyHkRXu9kF2+qZ9D/lE=,tag:9K3lB73gXI5xarc997pTFA==,type:str]
                      valueFrom:
                        secretKeyRef:
                            name: ENC[AES256_GCM,data:x1E1ixXUO6Akg75AqfZNfXg=,iv:whyFaL9dPj9HJhqw2FQIXOJj1XROQyJhF93WRYnR9DI=,tag:DYALnRyaR2CN/mwLRPDXiw==,type:str]
                            key: ENC[AES256_GCM,data:I9BkgnKJyd+frPFJAe4TDxI=,iv:DsvDNEUiiy0EVUdiJ5DDb5AJv9GkWwZ3B7DPw0HR7NQ=,tag:SzYR1sJKdX7402O6EojTAQ==,type:str]
                  ports:
                    - ENC[AES256_GCM,data:WHLM/utwVWjPfzIVspDivL0fP8ilxeWemU2AEZH4ZNL6W6+/j3dcrNhH9SwD7e8EZZQOf1vGf8f19KlN6OnG0/FC0AV4U1O8N8faBFNVM/4jqg==,iv:am7qBcqeRaFmZrR7UwXOBMpRs6jtd2vPQWJo+uUd5DA=,tag:UTBgN3ZZL2ZSc6mMRmILOg==,type:comment]
                    - containerPort: ENC[AES256_GCM,data:/f8p,iv:Rvpbe8GrFMkys/OGZKgNBmjcKi6zMIKvB8uaCyisSDs=,tag:MA1YQ6tal/TiKySpAfd+yA==,type:int]
                      name: ENC[AES256_GCM,data:io8z2hqyLilr,iv:PwoYEHHFYhMki8wufRbVWtfQbTKaporQYkWJrkQn8Bs=,tag:cpzeyycA27bgIyMSJ8l5xA==,type:str]
                      protocol: ENC[AES256_GCM,data:xVzI,iv:J32JouoJ5psqHRP4hY6E5fvdUYj4JEAFAtkBXpEe36Y=,tag:lGfDbuejTvcAa5aEiC3C+Q==,type:str]
                  #ENC[AES256_GCM,data:Bpt1OWgAyH+IZHEFELDVyDUD0HrXabHj+8vd1Jab2g/3kHlTnABMWBvd1qY9ARLs3qFMNt3Aln9FC1WcAgQ4Uvn+cBnOsYCA588TGEW6lA==,iv:MpAv2ZdYjywzZ6vxS1Xas1vq4NF/y/6ufnuBth+mino=,tag:nb7qVHBSedaRb7hmfLKuFA==,type:comment]
                  volumeMounts:
                    - mountPath: ENC[AES256_GCM,data:+F9wPAxxMw==,iv:j1PAj9t7uj86VJbu+Nz4VL9r7LagJTGlghPFiJnHUTY=,tag:gcLRZQlEiEUYRPidtQtkcg==,type:str]
                      name: ENC[AES256_GCM,data:4Z9gngVpXXRexn3h3mE=,iv:iC+g7PJrJsgC0GgjDqCKo+5Qlql8C79cPWLp/NY1A2c=,tag:ESD8RdGGrz8IHDNREfD1gA==,type:str]
                      subPath: ENC[AES256_GCM,data:ZqaPYQIQ,iv:jFKr3+bWgHkcwkRq50bHOD/4Ua8TV93yxSqgQnV7KjA=,tag:jQ1BRMYHHEXczwjcEJrqug==,type:str]
                    - mountPath: ENC[AES256_GCM,data:XvU1jyk=,iv:VVpJEqGfHNuRQWxnnOB3mTQVhPh/4M7xDiDTQMmSxFY=,tag:ksi1rvlSrKF1md9uejLBxg==,type:str]
                      name: ENC[AES256_GCM,data:NeEqRXSKZfUgvI1czGA=,iv:XA5ikizAwvzTLfOZuhNb7CHSdu9734DknYgREaLprIY=,tag:nPLNGKKIIximj0wH70qV1w==,type:str]
                      subPath: ENC[AES256_GCM,data:lCVxGQ==,iv:3t+AEQi8/PAEVYWftv8nvpzH6GbMXv8Md6Cj/KHMaWQ=,tag:vNVh1+7dOgiD/d3YTwUMRQ==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBXZTFsZEpOc3d1TnRVNVN3
            SXVRRjZCaG9yWmlrWUhZVy8zTUszZEFlM0NJCjVrWTRkQ0RoZVM3Qk0xYkxocjVG
            ZXlkZ3dtMlRBdVdMajdJREI0YjlwdUkKLS0tIHMzV3hqRTh1Vmh2RlExazFldkRW
            eUI3MGo1b1ZOM2hubThZU25lcmxOWE0K5fTsL6SGLWhLlPnW5mH88dPeRxL9sSVD
            YNKQtv/BecfVjBfioSej1sUpXfTZCSUBElO4/BrthS7HC0bFM5OAUg==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-29T21:31:02Z"
    mac: ENC[AES256_GCM,data:lKSBEopBzUOqy7dsFlp7jxQe+F+VkU0eR+hXxPxzCxXzCy8JbkHv106Y+wSSVQ97fMLbhXK626nnPTE0veOBnr6TCBLEUha1RB2Qr4QfmHmmq43bAYLgOj920hQgWyMUOSt2Jxd9Ddj0A2CwF127bLX+PBToG8EeXo/AsjvspNQ=,iv:ZEvs259kzC+RGC978k7zpWBvDrqWvlJrAe5+3fEPyWU=,tag:of6vta1Y7DYP8MqCmNvOaw==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
---
kind: Service
apiVersion: v1
metadata:
    # < name of the service
    name: nextcloud-web-svc
    # < namespace where to place service
    namespace: home-stuff
spec:
    selector:
        #ENC[AES256_GCM,data:E83oJ7+oh4qwwf0OIToYJTTkMgtn/LyeKMCzAdY7/NR9bFHMTpMkC43STQmcKijbtTxjgpNMYoJmUUmR+OTRcK41IXItwmxOvsARi9vuyqcVJOpkWzgS55l3jVj77AVcYQvW9GpCLxfE5bLGHY49cYXxwPwQcwIMup7W,iv:G6zIqtABM5LdVj3YW+GZbJHuoeFBBucTaKRhPt/x4ZE=,tag:Pz5IA21i8JpIM3A7PKjk4A==,type:comment]
        app: ENC[AES256_GCM,data:FMpsCGq3VLfW,iv:HO4FMXrzIvIMs93VnaGcowfTjf4Uf15AyrEz3Olmn50=,tag:FywS7IhfD3LLJTg6Zcrqyg==,type:str]
    ports:
        - name: ENC[AES256_GCM,data:pyEc7wHAKyhZ,iv:1hsf2NyaQx1qc0yqBo2YZ7g/coMlJ1A9B6ZWZSeP/ZY=,tag:roSA00AyHuXwguN8z3iX1Q==,type:str]
          protocol: ENC[AES256_GCM,data:+Y1K,iv:eJ88nAMAm02rlF46UTMLvFemnl+yeI1Gu2fQMeh+jUU=,tag:glDZq6zqVljX1XO6Iu8ibA==,type:str]
          port: ENC[AES256_GCM,data:6glx,iv:3GTzAoYWYm3g3BAcTXEZsiqaZio01Ufn+LM3jY9bKNs=,tag:hCdeG3/Chuhnbd7waM5Ktg==,type:int]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBXZTFsZEpOc3d1TnRVNVN3
            SXVRRjZCaG9yWmlrWUhZVy8zTUszZEFlM0NJCjVrWTRkQ0RoZVM3Qk0xYkxocjVG
            ZXlkZ3dtMlRBdVdMajdJREI0YjlwdUkKLS0tIHMzV3hqRTh1Vmh2RlExazFldkRW
            eUI3MGo1b1ZOM2hubThZU25lcmxOWE0K5fTsL6SGLWhLlPnW5mH88dPeRxL9sSVD
            YNKQtv/BecfVjBfioSej1sUpXfTZCSUBElO4/BrthS7HC0bFM5OAUg==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-29T21:31:02Z"
    mac: ENC[AES256_GCM,data:lKSBEopBzUOqy7dsFlp7jxQe+F+VkU0eR+hXxPxzCxXzCy8JbkHv106Y+wSSVQ97fMLbhXK626nnPTE0veOBnr6TCBLEUha1RB2Qr4QfmHmmq43bAYLgOj920hQgWyMUOSt2Jxd9Ddj0A2CwF127bLX+PBToG8EeXo/AsjvspNQ=,iv:ZEvs259kzC+RGC978k7zpWBvDrqWvlJrAe5+3fEPyWU=,tag:of6vta1Y7DYP8MqCmNvOaw==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
